
# Évolutions

### Interface
- Développement de l'interface mobile
- Possibilité de mettre des mots de passe sur les flux WMTS et XYZ
- Affichage des objets sélectionnés lors d'une impression
- Optimisation du chargement des grilles dans l'espace d'administration
- Ordre alphabétique lors du test d'un flux
- Amélioration du message d'erreur quand la connexion est refusée à cause de la restriction IP
- Sélection automatique de l'élément suivant quand on ferme un onglet du panier
- Ordre des table alphabétique pour une connexion Oracle dans le studio
- Compilation de php avec OCI
- Ajout d'un lien vers la documentation ReadTheDocs dans la partie aide
- Ajout de boites à cocher permettant d'afficher/cacher les couches associées au calque dans la partie carto
- Passage à la version 4.6.4 de la librairie OpenLayers
- Sauvegarde de la page en cours quand on édite un enregistrement d'une liste côté administration

### Objets métier
- Les objets métiers sur lesquels l'utilisateur n'a pas les droits en sélection ne sont plus affichés
- Amélioration du requêteur en mettant les champs du formulaire de type "like"
- Ajout d'une fonction d'export au format CSV, JSON, XML, TXT, Excel depuis le requêteur
- Ajout de fonctions permettant d'accéder à un objet Vitis depuis un formulaire: selectMode, selectObject, selectElement
- Interrogation sur les couches visibles uniquement pour la sélection objet métier avancée
- Ajout de la possibilité d'insérer du code HTML dans les variables rapports à l'aide de $sanitize
- Ajout d'un système de pagination dans le requêteur
- Application du filtre lié au calque aux objets métiers liés à ce dernier
- Utilisation de balises [bo_link] dans le panier
- Requêteur: ajout du bouton réinitialiser
- Requêteur: afficher/cacher la géométrie
- Export des données du requêteur par GTF
- Recherche avancée: recherche multipoint
- Ajout de la possibilité d'utiliser du HTML sécurisé dans les infobulles, panier, requêteur et outil de localisation
- Ajout de la possibilité d'export depuis le panier
- Ajout d'un champ "Titre des formulaires" pour les info-bules et les formulaires objet métier
- Accepter les géométries de type MultiLineStringZ

### MapServer
- Ne pas écraser les fichiers de symboles MapServer lors d'une mise a jour
- Ajout d'un message d'information quand on change la connexion d'une couche associée à un ou plusieurs calques
- Ajout de la possibilité d'encoder les mots de passe dans les mapfiles avec ms_encrypt
- Ajout de la colonne de test de la structure des couches Mapserver avec interface graphique

### Cadastre
- Amélioration de la pagination de la fiche d'urbanisme
- Suppression des jointures inutiles dans les vues du cadastre
- Affichage d'un message d'erreur lors de la génération d'une fiche d'urbanisme avec une carte qui n'existe pas

### Impression
- Ajout des paramètres date et utilisateur dans les modèles d'impression
- Mise des paramètres d'impression non requis dans l'interface
- Ajouter la possibilité de choisir son style avant de lancer une impression
- Chargement des modèles d'impression que lors du clic sur la bouton

### ANC
- Optimisation des performances
- Rester dans l'onglet Schéma quand on met à jour le schéma d'un contrôle
- Contrôle/Conclusion: Pouvoir sélectionner plusieurs types de non conformités
- Ajout d'une ventilation: ajout d'un champ diamètre
- Ajout d'une ventilation: ajout d'un champ type de matériau
- Liste des contrôles: Mettre en place le lien pour accéder à l'installation correspondante
- Liste des contrôles: Afficher le numéro d'installation à la place de l'identifiant
- Contrôle > Bon fonctionnement > Évacuation des eaux > Par infiltration dans le sol: modification du champ Type d’évacuation en non obligatoire

# Anomalies corrigées
- Impossible d'affecter le privilège vitis_admin à des utilisateurs depuis l'onglet privilèges
- Impressions impossibles si un des calques ne possède pas de couches
- Lorsque un calque n'a pas de couches, cela fait planter l'application
- Si il y a un filtre sur une couche, le ajaxLoader s'affiche lors du chargement des tuiles
- Erreur non affichée quand on supprime un service ayant des couches associées
- Erreur de pagination dans l'interface couches du flux
- vMap: insertion d'enregistrement sans géométrie ne fonctionne plus
- Les champs requis objet métier vMap lors d'une insertion ne renvoient pas d'erreur quand ils sont vides
- Bug d'affichage quand on met à jour une couche Mapserver
- Affichage fiche descriptive en mode cadastre light
- ANC: Impossible de supprimer une installation ou un contrôle
- Le premier chargement du formulaire depuis le studio sous IE ne se fait pas correctement
- Bug graphique dans le bandeau de gauche quand on change de carte
- Proxy non utilisé avec la propertie use_proxy_for_tiles = true
- Impossible d'utiliser des services WMS en version autre que 1.3.0
- Suppression d'un service impossible
- Erreur lors de la création d'un rapport vierge
- Impossible de lister les utilisateurs dans le formulaire des groupes lorsque la propertie "mixed_rights_management" est false et que aucun domaine n'existe
- Droits insuffisants sur pg_authid
- Si le rappel de légende est trop bas il est tronqué
- Le Maxscaledenom d'un Mapfile ne correspond pas à l'échelle affichée
- Filtres avec bouton radio
- Cadastre: erreur lorsque on recherche un propriétaire contenant une apostrophe
- Requêteur: Bug d'affichage quand on tente de visualiser l'infobulle d'un enregistrement sans géométrie
- Bug quand on utilise deux grilles objet métier dans un formulaire

### ANC
- Filtre sur les id des installations ne fonctionne pas
- Contrôle de bon fonctionnement: mettre en place le champ "Intervalle avec le prochain contrôle"
- Champs non numériques non contraints
- installation > suivi > zoom sur la feature ne fonctionne pas en mode display
- installation > suivi > zoom sur la feature ne fonctionne pas
- Impossible d'ajouter un suivi à une installation
- Corrections majuscules, accents, orthographe sur les libellés
- Impossible d'ajouter un contrôle de type conception
- Contrôle > Bon fonctionnement: « Marque de l’ouvrage » ne pointe pas sur la bonne liste
