Le document ci-dessous présente une liste non exhaustive d'évolutions / corrections à retrouver dans la version 2020.02 de vMap.

L'ensemble des évolutions et anomalies de cette nouvelle version sont à retrouver sur le GitLab de Veremes : https://gitlab.veremes.net/open-source/vmap/milestones/19

# Évolutions

## 1. Paramétrage d’une étendue cartographique par défaut pour chaque utilisateur.

![](images/config_user_vmap.png)

- Si ce paramétrage est défini, le bouton "Entendu par défaut" ![](images/etendue_par_defaut.png) renverra vers cette étendue là.
- Si aucune étendue n'est définie, c'est l'étendue de la carte qui sera pris en compte.

## 2. Ajout de l'option "Relevé de propriété de la parcelle tiers" dans le module cadastre.

![](images/releve_propriete_tiers.png)

Le relevé de propriété de la parcelle tiers correspond au relevé de propriété de la parcelle sans date ni lieu de naissance du(des) propriétaire(s).

## 3. Déplacement du bouton « Modifier la géométrie » dans l’infobulle de consultation.

![](images/btn_geometrie.png)

## 4. Amélioration de la fonctionnalité "Rapport"

- L'application permet désormais d'appliquer un style aux rapports. <br>
- La configuration des styles se réalise dans l'objet "Style" du mode "Impressions". Un même style peut être utilisé pour les rapports ainsi que pour les impressions.

![](images/rapport_vmap_admin.png)

Un rapport peut donc désormais être réalisé depuis : 
- le panier
- mais aussi depuis les infobulles :

![](images/rapport_vmap_objets.png)<br><br>
![](images/rapport_vmap_objet.png)


## 5. Les outils d’édition graphique (création et mise à jour) peuvent être désactivé.

2 nouvelles options ont été rajoutées dans la configuration de l'objet métier :
- Géométrie saisissable
- Géométrie modifiable

![](images/conf_bo_geom.png)

- Si l'option "Géométrie saisissable" est définie à "non" les options suivantes seront supprimées :

![](images/bo_geom_saisissable_non.png)


- Si l'option "Géométrie modifiable" est définie à "non" les options suivantes seront supprimées :

![](images/bo_geom_editable_non1.png)
![](images/bo_geom_editable_non2.png)


## 6. Ajout d'un niveau de zoom minimum et maximum dans le formulaire du service si le service est de type XYZ.

Permet de ne pas charger les images au dessus et en dessous des zooms définis.

## 7. Implémentation d’un module « Anomalies » 

Le module anomalie va permettre aux utilisateurs de vMap de remonter des problèmes sur le territoire et de les géolocaliser.

![](images/anomalies.png)

## 8. Amélioration du contrôle de localisation rapide : élargissement du contrôle et ajout d’un bouton « Effacer la valeur courante »

- Ajout d'une croix pour réinitialiser la recherche.
- La zone de texte s'agrandit quand le curseur est dedans, décaler les autres icônes vers la droite.

![](images/localisation.png)

## 9. Amélioration de la fonctionnalité de clonage des cartes.

Lorsque l' clone une carte les calques sont clonés en même temps.

## 10. Ajout de l’option « Objet requêtable » permettant aux objets métiers d’être localisables, sélectionnables et requêtable de manière exclusive.

![](images/conf_bo_loc_select_req.png)

Ajout de trois options dans le formulaire d'objet métier:

- Objet localisable : correspond à l’outil de localisation (fonctionnalité déjà existante)

![](images/bo_localisable.png)

- Objet sélectionnable : correspond au bouton i et à l'ajout 

![](images/bo_selectionnable.png)
![](images/bo_selectionnable2.png)

- Objet requêtable : correspond au bouton i+

![](images/bo_requetable.png)

## 11. Implémentation d’un module « Cadastre medium »

Le module Cadastre medium est un module intermédiaire entre le module "Cadastre" et le module "Cadastre Light".
Les utilisateurs qui seront aussociés au privilège "vmap_cadastre_medium_user" auront accès au module "Cadastre medium".

Voici l'ensemble des éléments qui sont retirés par rapport au module Cadastre :
- Le module cadastre medium ne donnera pas accès au relevé de propriété

![](images/cadastre_medium1.png)

- Le module cadastre medium ne donnera pas accès à la subdivision fiscale ainsi qu'à l'invariant dans la fiche descriptive de la parcelle

![](images/cadastre_medium2.png)

## 12. Ajout d'une option de configuration pour activer ou désactiver les outils des infobulles.

![](images/admin_infobulles.png)

![](images/admin_infobulles2.png)

## 13. Ajout d'un lien mapillary dans les infobulles.

## 14. Implémentation de la recherche « plein texte » de PostGreSQL pour la localisation.

L'option sera accessible depuis le formulaire d'objet métier. Cette fonctionnalité permet notamment de trier le résultat d'une recherche selon un un indice. (Plus d'information https://docs.postgresql.fr/11/textsearch.html)

![](images/conf_bo_mode_recherche.png)

## 15. Saisie des coordonnées d’un vertex lors de la création et de la mise à jour d'un objet géométrique.

Cette fonctionnalité permettra notamment de positionner des géométrie de manière très précise (ex : coordonnées d'un GPS)
![](images/saisie_coordonnees.png)

## 16. Ajout du nom de la base de données, du schéma et de la table utilisés par l’objet métier dans les formulaires.

![](images/bdd_schema_table0.png)
![](images/bdd_schema_table1.png)

![](images/bdd_schema_table2.png)

# Évolutions / Corrections

## 1. Module cadastre : rapport locaux - écriture du type de local à la place de l'identifiant

![](images/cadastre_locaux.png)

## 2. Module ANC: Suppression de la liste déroulante des installations dans le formulaire d'édition d'un contrôle

![](images/anc_installation.png)


# Corrections

## 1. Correction du bouton "Lien vers cet objet" dans les infobulles.

## 2. Ordre des modèles dans l'outil d'impression

Si le paramétrage « Liste des modèles dans l'outil d'impression par ordre alphabétique » est sur non dans l’administration, le tri ne se fait pas correctement.

![](images/ordre_model_impression1.png)

![](images/ordre_model_impression2.png)

## 3. Impression: Prise en compte de l'échelle pour la légende quand l'option "échelle" est coché.

![](images/correction_impression_echelle.png)

## 4. Impression: Ajout en mode comparaison de la source de la seconde carte.

![](images/source_carte2.png)


## 5. Module ANC: Date invalide

![](images/anc_date.png)

## 6. Formulaires: Fond des cartes OSM non visible

Le problème a été constaté avec le champ "Carte OSM" lors de la création d'un formulaire objet métier.

![](images/carte_osm.png)

## 7. Impressions non fonctionnelles avec la présence d'un Flux WMS externe

Les flux WMS externes dont la légende n'est pas générée bloque les impressions.


